#### D.4.27.12 testPrimary

Procedure from library `primdec.lib` (see primdec_lib).

Usage:
  testPrimary(pr,k); pr a list, k an ideal.

Assume:
  pr is the result of primdecGTZ(k) or primdecSY(k).

Return:
  int, 1 if the intersection of the ideals in pr is k, 0 if not

Example:

    LIB "primdec.lib";
    ring  r = 32003,(x,y,z),dp;
    poly  p = z2+1;
    poly  q = z4+2;
    ideal i = p^2*q^3,(y-z3)^3,(x-yz+z4)^4;
    list pr = primdecGTZ(i);
    testPrimary(pr,i);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.